<!DOCTYPE html
  PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "DTD/xhtml1-strict.dtd">
<html>
  <head>
    <title>API docs for &ldquo;kiwi.ui.dialogs&rdquo;</title>
    <meta content="text/html;charset=utf-8" http-equiv="Content-Type" />
    <link href="apidocs.css" type="text/css" rel="stylesheet" />
    
    
  </head>
  <body>
    <h1 class="module">Module k.u.dialogs</h1>
    <p>
      <span id="part">Part of <a href="kiwi.html">kiwi</a>.<a href="kiwi.ui.html">ui</a></span>
      
      
    </p>
    <div>
      
    </div>
    <div class="undocumented">No module docstring</div>
    
    
    <div id="splitTables">
      <table class="children sortable" id="id301">
  
  
  
  
  <tr class="class">
    
    
    <td>Class</td>
    <td><a href="kiwi.ui.dialogs.HIGAlertDialog.html">HIGAlertDialog</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="class">
    
    
    <td>Class</td>
    <td><a href="kiwi.ui.dialogs.BaseDialog.html">BaseDialog</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="function">
    
    
    <td>Function</td>
    <td><a href="kiwi.ui.dialogs.html#messagedialog">messagedialog</a></td>
    <td><span>Create and show a MessageDialog.
</span></td>
  </tr><tr class="function">
    
    
    <td>Function</td>
    <td><a href="kiwi.ui.dialogs.html#_simple">_simple</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="function">
    
    
    <td>Function</td>
    <td><a href="kiwi.ui.dialogs.html#error">error</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="function">
    
    
    <td>Function</td>
    <td><a href="kiwi.ui.dialogs.html#info">info</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="function">
    
    
    <td>Function</td>
    <td><a href="kiwi.ui.dialogs.html#warning">warning</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="function">
    
    
    <td>Function</td>
    <td><a href="kiwi.ui.dialogs.html#yesno">yesno</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="function">
    
    
    <td>Function</td>
    <td><a href="kiwi.ui.dialogs.html#open">open</a></td>
    <td><span>Displays an open dialog.
</span></td>
  </tr><tr class="function">
    
    
    <td>Function</td>
    <td><a href="kiwi.ui.dialogs.html#selectfolder">selectfolder</a></td>
    <td><span>Displays a select folder dialog.
</span></td>
  </tr><tr class="function">
    
    
    <td>Function</td>
    <td><a href="kiwi.ui.dialogs.html#ask_overwrite">ask_overwrite</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr><tr class="function">
    
    
    <td>Function</td>
    <td><a href="kiwi.ui.dialogs.html#save">save</a></td>
    <td><span>Displays a save dialog.
</span></td>
  </tr><tr class="function">
    
    
    <td>Function</td>
    <td><a href="kiwi.ui.dialogs.html#password">password</a></td>
    <td><span>Shows a password dialog and returns the password entered in the 
dialog
</span></td>
  </tr><tr class="function">
    
    
    <td>Function</td>
    <td><a href="kiwi.ui.dialogs.html#_test">_test</a></td>
    <td><span class="undocumented">Undocumented</span></td>
  </tr>
  
</table>
      
      
    </div>
    
    
    
    <div class="function">
        <a name="kiwi.ui.dialogs.messagedialog"></a>
        <a name="messagedialog"></a>
        <div class="functionHeader">
        
        def messagedialog(dialog_type, short, long=None, parent=None, buttons=gtk.BUTTONS_OK, default=-1):
        
      </div>
        <div class="functionBody">
          
          <div>Create and show a MessageDialog.
<table class="fieldTable"><tr class="fieldStart"><td class="fieldName">Parameters</td><td class="fieldArg">dialog_type</td><td>one of constants
<ul>
  <li>
    gtk.MESSAGE_INFO
  </li>
  <li>
    gtk.MESSAGE_WARNING
  </li>
  <li>
    gtk.MESSAGE_QUESTION
  </li>
  <li>
    gtk.MESSAGE_ERROR
  </li>
</ul>
</td></tr><tr><td></td><td class="fieldArg">short</td><td>A header text to be inserted in the dialog.
</td></tr><tr><td></td><td class="fieldArg">long</td><td>A long description of message.
</td></tr><tr><td></td><td class="fieldArg">parent</td><td>The parent widget of this dialog
 (type: a gtk.Window subclass
)</td></tr><tr><td></td><td class="fieldArg">buttons</td><td>The button type that the dialog will be display, one of the 
constants:
<ul>
  <li>
    gtk.BUTTONS_NONE
  </li>
  <li>
    gtk.BUTTONS_OK
  </li>
  <li>
    gtk.BUTTONS_CLOSE
  </li>
  <li>
    gtk.BUTTONS_CANCEL
  </li>
  <li>
    gtk.BUTTONS_YES_NO
  </li>
  <li>
    gtk.BUTTONS_OK_CANCEL
  </li>
</ul>
or a tuple or 2-sized tuples representing label and response. If label 
is a stock-id a stock icon will be displayed.
</td></tr><tr><td></td><td class="fieldArg">default</td><td>optional default response id
</td></tr></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.dialogs._simple"></a>
        <a name="_simple"></a>
        <div class="functionHeader">
        
        def _simple(type, short, long=None, parent=None, buttons=gtk.BUTTONS_OK, default=-1):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.dialogs.error"></a>
        <a name="error"></a>
        <div class="functionHeader">
        
        def error(short, long=None, parent=None, buttons=gtk.BUTTONS_OK, default=-1):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.dialogs.info"></a>
        <a name="info"></a>
        <div class="functionHeader">
        
        def info(short, long=None, parent=None, buttons=gtk.BUTTONS_OK, default=-1):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.dialogs.warning"></a>
        <a name="warning"></a>
        <div class="functionHeader">
        
        def warning(short, long=None, parent=None, buttons=gtk.BUTTONS_OK, default=-1):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.dialogs.yesno"></a>
        <a name="yesno"></a>
        <div class="functionHeader">
        
        def yesno(text, parent=None, default=gtk.RESPONSE_YES, buttons=gtk.BUTTONS_YES_NO):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.dialogs.open"></a>
        <a name="open"></a>
        <div class="functionHeader">
        
        def open(title='', parent=None, patterns=None, folder=None, filter=None):
        
      </div>
        <div class="functionBody">
          
          <div>Displays an open dialog.
<table class="fieldTable"><tr class="fieldStart"><td class="fieldName">Parameters</td><td class="fieldArg">title</td><td>the title of the folder, defaults to 'Select folder'
</td></tr><tr><td></td><td class="fieldArg">parent</td><td>parent gtk.Window or None
</td></tr><tr><td></td><td class="fieldArg">patterns</td><td>a list of pattern strings ['*.py', '*.pl'] or None
</td></tr><tr><td></td><td class="fieldArg">folder</td><td>initial folder or None
</td></tr><tr><td></td><td class="fieldArg">filter</td><td>a filter to use or None, is incompatible with patterns
</td></tr></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.dialogs.selectfolder"></a>
        <a name="selectfolder"></a>
        <div class="functionHeader">
        
        def selectfolder(title='', parent=None, folder=None):
        
      </div>
        <div class="functionBody">
          
          <div>Displays a select folder dialog.
<table class="fieldTable"><tr class="fieldStart"><td class="fieldName">Parameters</td><td class="fieldArg">title</td><td>the title of the folder, defaults to 'Select folder'
</td></tr><tr><td></td><td class="fieldArg">parent</td><td>parent gtk.Window or None
</td></tr><tr><td></td><td class="fieldArg">folder</td><td>initial folder or None
</td></tr></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.dialogs.ask_overwrite"></a>
        <a name="ask_overwrite"></a>
        <div class="functionHeader">
        
        def ask_overwrite(filename, parent=None):
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.dialogs.save"></a>
        <a name="save"></a>
        <div class="functionHeader">
        
        def save(title='', parent=None, current_name='', folder=None):
        
      </div>
        <div class="functionBody">
          
          <div>Displays a save dialog.
<table class="fieldTable"></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.dialogs.password"></a>
        <a name="password"></a>
        <div class="functionHeader">
        
        def password(primary='', secondary='', parent=None):
        
      </div>
        <div class="functionBody">
          
          <div>Shows a password dialog and returns the password entered in the 
dialog
<table class="fieldTable"><tr class="fieldStart"><td class="fieldName">Parameters</td><td class="fieldArg">primary</td><td>primary text
</td></tr><tr><td></td><td class="fieldArg">secondary</td><td>secondary text
</td></tr><tr><td></td><td class="fieldArg">parent</td><td>a gtk.Window subclass or None
</td></tr><tr class="fieldStart"><td class="fieldName">Returns</td><td colspan="2">the password or None if none specified
 (type: string or None
)</td></tr></table></div>
        </div>
      </div><div class="function">
        <a name="kiwi.ui.dialogs._test"></a>
        <a name="_test"></a>
        <div class="functionHeader">
        
        def _test():
        
      </div>
        <div class="functionBody">
          
          <div class="undocumented">Undocumented</div>
        </div>
      </div>
    
    <address>
      <a href="index.html">API Documentation</a> for Kiwi, generated by <a href="http://codespeak.net/~mwh/pydoctor/">pydoctor</a> at 2008-05-29 16:06:17.
    </address>
  </body>
</html>